<template>
    <div class="edit-popup">
        <popup ref="popupRef" :title="popupTitle" :async="true" width="80%" @confirm="handleSubmit" @close="handleClose">




            <el-form ref="formRef" :model="formData" label-width="120px" :rules="formRules">

                <el-row>





                    <el-col :span="8">
                        <el-form-item label="开始生效日期" prop="start_date">
                            <el-date-picker class="flex-1 !flex" v-model="formData.start_date" clearable type="date" value-format="YYYY-MM-DD " placeholder="选择开始生效日期">
                            </el-date-picker>
                        </el-form-item>
                    </el-col>


                    <el-col :span="8">
                        <el-form-item label="年化利率(％)" prop="amount">
                            <el-input v-model="formData.amount" clearable placeholder="请输入年化利率(％)" />
                        </el-form-item> </el-col>

                    <el-col :span="24">
                        <el-form-item label="备注" prop="remark">
                            <el-input v-model="formData.remark" type="textarea" clearable placeholder="请输入备注" />
                        </el-form-item> </el-col>





                </el-row>


            </el-form>
        </popup>


    </div>
</template>

<script lang="ts" setup name="procurementContractEdit">
import type { FormInstance } from 'element-plus'
import Popup from '@/components/popup/index.vue'

import { apiadministrativeAdd, apiadministrativeEdit, apiadministrativeDetail } from '@/api/administrative'
import { timeFormat } from '@/utils/util'
import type { PropType } from 'vue'
defineProps({
    dictData: {
        type: Object as PropType<Record<string, any[]>>,
        default: () => ({})
    }
})
const emit = defineEmits(['success', 'close'])
const formRef = shallowRef<FormInstance>()
const popupRef = shallowRef<InstanceType<typeof Popup>>()
const mode = ref('add')
import feedback from '@/utils/feedback'


// 弹窗标题
const popupTitle = computed(() => {
    return mode.value == 'edit' ? '编辑银行账户表' : '新增银行账户表'
})

// 表单数据
const formData = reactive({
    id: '',
    dept_id: '',
    org_id: '',
    supplier_id: 0,
    contract_no: "",
    contract_name: "",
    procurement_type: 0,
    asset_apply_no: "",
    start_date: "",
    end_date: "",
    signing_date: "",
    pay_type: '',
    amount: '',
    amount_daxie: "",
    main_content: "",
    remark: "",
    annex: ""
})


// 表单验证
const formRules = reactive<any>({

})


// 获取详情
const setFormData = async (data: Record<any, any>) => {

    if (data.dept_id) {
        getlist1(data.org_id)
    }
    for (const key in formData) {
        if (data[key] != null && data[key] != undefined) {
            //@ts-ignore
            formData[key] = data[key]
        }
    }

}

const getDetail = async (row: Record<string, any>) => {
    const data = await apiadministrativeDetail({
        id: row.id
    })
    setFormData(data)
}


// 提交按钮
const handleSubmit = async () => {

    await formRef.value?.validate()
    const data = { ...formData, }
    mode.value == 'edit'
        ? await apiadministrativeEdit(data)
        : await apiadministrativeAdd(data)
    popupRef.value?.close()
    emit('success')
}

//打开弹窗
const open = (type = 'add') => {
    mode.value = type
    popupRef.value?.open()
    getlist()
}

// 关闭回调
const handleClose = () => {
    emit('close')
}



defineExpose({
    open,
    setFormData,
    getDetail
})
</script>
